# $Id: perl-Module-Info.spec 3294 2005-06-08 20:58:29Z dries $
# Authority: dries
# Upstream: Mattia Barbon <mbarbon$users,sourceforge,net>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Module-Info

Summary: Information about Perl modules
Name: perl-Module-Info
Version: 0.28
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Module-Info/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/Module-Info-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Information about Perl modules.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes
%doc %{_mandir}/man?/*
%{_bindir}/module_info
%{_bindir}/pfunc
%{perl_vendorlib}/Module/Info.pm
%{perl_vendorlib}/B

%changelog
* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 0.28-1 - 3294/dries
- Updated to release 0.28.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.27-1
- Initial package.
